Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Post Reply
markephillips
Posts: 37
Joined: Fri Oct 26, 2018 11:39 am
languages_spoken: english
ODROIDs: xu4
Has thanked: 0
Been thanked: 0
Contact:

Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by markephillips » Wed Jul 31, 2019 7:49 am

Hi,

Just curious of anyone upgraded their system to Ubuntu Disco and experienced the following? I personally don't care about upgrading but I'd like this error to go away and to pin the OS.

Code: Select all

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  qt5-style-plugins
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13) ...
Processing triggers for linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.0.0-1013-raspi2
Using DTB: exynos5422-odroidxu4.dtb
Couldn't find DTB exynos5422-odroidxu4.dtb on the following paths: /etc/flash-kernel/dtbs /usr/lib/linux-image-5.0.0-1013-raspi2 /lib/firmware/5.0.0-1013-raspi2/device-tree/
Installing  into /boot/dtbs/5.0.0-1013-raspi2/exynos5422-odroidxu4.dtb
cp: cannot stat '': No such file or directory
run-parts: /etc/initramfs/post-update.d//flash-kernel exited with return code 1
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-5.0.0-1013-raspi2 (--configure):
 installed linux-image-5.0.0-1013-raspi2 package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-5.0.0-1013-raspi2
E: Sub-process /usr/bin/dpkg returned an error code (1)
Thanks!

joshua.yang
Posts: 342
Joined: Fri Sep 22, 2017 5:54 pm
languages_spoken: Korean, English
ODROIDs: XU4, XU4Q + Cloudshell2, H2, N2
Has thanked: 9 times
Been thanked: 64 times
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by joshua.yang » Wed Jul 31, 2019 9:59 am

That image seems for Raspberry Pi 2 as that name suggests.

If you want to install 5.0 kernel to your board (XU4?),
Then how about trying out this?: viewtopic.php?t=33510

aquarat
Posts: 17
Joined: Wed Jul 17, 2013 8:29 pm
languages_spoken: english
ODROIDs: 2x ODROID-N2 4GB | 2x ODROID-X | 4x ODROID-C1 | 1x ODROID-XU | 2x ODROID-U3 | 2x ODROID-XU4 | 10x ODROID-W
Location: Cape Town, South Africa
Has thanked: 0
Been thanked: 0
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by aquarat » Wed Jan 15, 2020 7:11 pm

In case this helps anyone I just experienced a similar issue on my ODROID-N2s (I have five of them in a cluster).

I did sudo apt purge linux-image-5.0.0-1024-raspi2 linux-image-raspi2 and also had to rm a directory here : sudo rm -rf /lib/modules/5.0.0-1024-raspi2

User avatar
tobetter
Posts: 4461
Joined: Mon Feb 25, 2013 10:55 am
languages_spoken: Korean, English
ODROIDs: X, X2, U2, U3, XU3, C1
Location: Paju, South Korea
Has thanked: 71 times
Been thanked: 296 times
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by tobetter » Wed Jan 15, 2020 7:40 pm

aquarat wrote:
Wed Jan 15, 2020 7:11 pm
In case this helps anyone I just experienced a similar issue on my ODROID-N2s (I have five of them in a cluster).

I did sudo apt purge linux-image-5.0.0-1024-raspi2 linux-image-raspi2 and also had to rm a directory here : sudo rm -rf /lib/modules/5.0.0-1024-raspi2
What is the base image of your Ubuntu Disco? Are you running a headless system on ODROID-N2?

aquarat
Posts: 17
Joined: Wed Jul 17, 2013 8:29 pm
languages_spoken: english
ODROIDs: 2x ODROID-N2 4GB | 2x ODROID-X | 4x ODROID-C1 | 1x ODROID-XU | 2x ODROID-U3 | 2x ODROID-XU4 | 10x ODROID-W
Location: Cape Town, South Africa
Has thanked: 0
Been thanked: 0
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by aquarat » Wed Jan 15, 2020 7:56 pm

I used this as the starting image : ubuntu-18.04.3-4.9-minimal-odroid-n2-20190806.img.xz

and yes, headless system with docker swarm and glusterfs 8-)

User avatar
tobetter
Posts: 4461
Joined: Mon Feb 25, 2013 10:55 am
languages_spoken: Korean, English
ODROIDs: X, X2, U2, U3, XU3, C1
Location: Paju, South Korea
Has thanked: 71 times
Been thanked: 296 times
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by tobetter » Wed Jan 15, 2020 8:02 pm

aquarat wrote:
Wed Jan 15, 2020 7:56 pm
I used this as the starting image : ubuntu-18.04.3-4.9-minimal-odroid-n2-20190806.img.xz

and yes, headless system with docker swarm and glusterfs 8-)
If you are intended to use 5.x kernel on ODROID-N2 with Ubuntu Disco, I would like to suggest to freshly install, I've uploaded Ubuntu Disco Netboot Installer yesterday and here is the link how it can be installed.
https://medium.com/@tobetter/running-gn ... a187dff055

Or you can flash the prebuilt headless image,
http://ppa.linuxfactory.or.kr/images/raw/arm64/disco/

Using the installer, you can set up a headless system as well. If you need more support, please do request to my thread, viewtopic.php?f=182&t=37109&p=276310&hi ... ot#p276310

User avatar
igorpec
Posts: 461
Joined: Sat Dec 12, 2015 4:34 pm
languages_spoken: english,german,slovene
ODROIDs: XU4, HC1, C2, C1+
Has thanked: 18 times
Been thanked: 37 times
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by igorpec » Wed Jan 15, 2020 10:24 pm

aquarat wrote:
Wed Jan 15, 2020 7:11 pm
In case this helps anyone I just experienced a similar issue on my ODROID-N2s (I have five of them in a cluster).

I did sudo apt purge linux-image-5.0.0-1024-raspi2 linux-image-raspi2 and also had to rm a directory here : sudo rm -rf /lib/modules/5.0.0-1024-raspi2
Your best success for server cases will be Armbian https://www.armbian.com/odroid-n2/#kernels-archive-all but if you care about desktop features, stick rather to @tobetter builds.

If you need Disco or Bullseye (even Focal but it doesn't work very well yet) ... it can be build: https://github.com/armbian/build

Just remember that bleeding edge kernel with bleeding edge user-space was never designed for production.
ARMBIAN - follow on Twitter
linux for ARM development boards with user friendly development tools

aquarat
Posts: 17
Joined: Wed Jul 17, 2013 8:29 pm
languages_spoken: english
ODROIDs: 2x ODROID-N2 4GB | 2x ODROID-X | 4x ODROID-C1 | 1x ODROID-XU | 2x ODROID-U3 | 2x ODROID-XU4 | 10x ODROID-W
Location: Cape Town, South Africa
Has thanked: 0
Been thanked: 0
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by aquarat » Sat Jan 18, 2020 1:36 am

Thanks igorpec and tobetter - I was just after the updated rootfs, the kernel itself (4.9.196-63) seems to work well/is stable. Originally, when I got my first 2x ODROID-N2s, the machines were a bit buggy and would crash occasionally, but now they're fairly stable, even with bigger workloads :)

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 1 guest